﻿.spinner {
	background-color: white;
	position:fixed;
	top:0;left:0;right:0;bottom:0;
	z-index:5000;
	opacity:1;
	-webkit-transition-duration:1500ms;
	transition-duration:1500ms;
}

.spinner > img {
	width: 100px;
	position: absolute;
	margin: calc(50vh - 160px) calc(50vw - 50px);
}

.multi-spinner-container {
	width: 150px;
	height: 150px;
	position: relative;
	margin: calc(50vh - 75px) auto;
	overflow: hidden;
}

.multi-spinner {
	position: absolute;
	width: calc(100% - 9.9px);
	height: calc(100% - 9.9px);
	border: 2px solid transparent;
	border-top-color: var(--main-blue);
	border-radius: 50%;
	-webkit-animation: spin 5s cubic-bezier(0.17, 0.49, 0.96, 0.76) infinite;
	animation: spin 5s cubic-bezier(0.17, 0.49, 0.96, 0.76) infinite;
}

.searchResults .spinner {
	z-index:1000;
}

.searchResults .spinner > img {
	margin: calc(50% - 160px) calc(50vw - 50px);
}

.searchResults .multi-spinner-container {
	margin: calc(50% - 75px);
}

.spinner.stop {
	opacity: 0;
	z-index: -1;
}


@-webkit-keyframes spin {
	from {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}

	to {
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}


@keyframes spin {
	from {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}

	to {
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}